# wxPreviewCanvas Class Reference
[Printing Framework]

`#include </home/work/projects/wx/2.9/wx/interface/wx/print.h>`

Inheritance diagram for wxPreviewCanvas:
[legend]

## Detailed Description

A preview canvas is the default canvas used by the print preview system to display the preview.

##

Library: wxBase
Category: Printing Framework

See also:
  wxPreviewFrame, wxPreviewControlBar, wxPrintPreview

## Public Member Functions

| wxPreviewCanvas (wxPrintPreview *preview, wxWindow *parent, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxString &name="canvas")
| Constructor.
virtual | ~wxPreviewCanvas ()
| Destructor.
void | OnPaint (wxPaintEvent &event)
| Calls wxPrintPreview::PaintPage() to refresh the canvas.

List of all members.

## Constructor & Destructor Documentation

wxPreviewCanvas::wxPreviewCanvas | ( | wxPrintPreview * | preview,
|  | wxWindow * | parent,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `0`,
|  | const wxString & | name = `"canvas"` |
| ) |  |  |

Constructor.

virtual wxPreviewCanvas::~wxPreviewCanvas | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

void wxPreviewCanvas::OnPaint | ( | wxPaintEvent & | event | ) |

Calls wxPrintPreview::PaintPage() to refresh the canvas.

|  | [ top ]